CNoiseGenerator Class Referenceabstract
Basic data strctures and functions

Base class for the noise generators. More...

`#include <mia/core/noisegen.hh>`

Inheritance diagram for CNoiseGenerator:
[legend]
Collaboration diagram for CNoiseGenerator:
[legend]

## Public Types

typedef grayscale_noise_data | plugin_data
| typedef helber for plugin search path
typedef generator_type | plugin_type
| typedef helber for plugin search path
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

| CNoiseGenerator (unsigned int seed)
double | operator() () const
virtual | ~CNoiseGenerator ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Protected Member Functions

double | ranf () const

## Detailed Description

Base class for the noise generators.

This class defines the interface for noise generators. Real implementations are provided as plug-ins.

Definition at line 46 of file noisegen.hh.

## Member Typedef Documentation

## plugin_data

typedef grayscale_noise_data CNoiseGenerator::plugin_data

typedef helber for plugin search path

Definition at line 50 of file noisegen.hh.

## plugin_type

typedef generator_type CNoiseGenerator::plugin_type

typedef helber for plugin search path

Definition at line 53 of file noisegen.hh.

## Constructor & Destructor Documentation

## CNoiseGenerator()

CNoiseGenerator::CNoiseGenerator | ( | unsigned int | seed | ) |

Constructor to initialize the noise generator with the given seed

Parameters

  seed |

## ~CNoiseGenerator()

virtual CNoiseGenerator::~CNoiseGenerator | ( |  | ) |

virtual

## Member Function Documentation

## operator()()

double CNoiseGenerator::operator() | ( |  | ) | const

Returns
  the next random value comprising the noise

## ranf()

double CNoiseGenerator::ranf | ( |  | ) | const

protected

Returns
  a random value by using the system call to rand() and that is then used to create the noise as requested

The documentation for this class was generated from the following file:

- noisegen.hh